package com.mvc.iot.onenet.model;

import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;

public class OneNetRootModel implements Serializable {
    /*设备状态变化通知（600）	设备在线（deviceOnline）、 设备离线（deviceOffline）
    设备管理（601）	设备创建(deviceCreate)、设备删除(deviceDelete)
    设备数据上报（602）	物模型属性(thingProperty)、物模型事件(thingEvent)、数据流-数据点(dataPoints)
    设备响应通知（603）	物模型服务调用响应(thingServiceReply)、 NB设备缓存命令下发响应(NBcommandCacheReply)、 设备镜像更新通知（deviceImagePropertyUpdate）
    联动规则（620）	场景联动触发日志（SceneLog）
    设备位置信息（630）	设备位置信息（LBS）*/
    private String msgType;
    private JSONObject subData;

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public JSONObject getSubData() {
        return subData;
    }

    public void setSubData(JSONObject subData) {
        this.subData = subData;
    }
}
